# Interface AbstractWorkflow

#### Hierarchy

- AbstractWorkflow

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:37

#####
Index

### Properties

__
action?
autoSave?
onDone
previewURL?
run
runStep
saveURL?
singleStepForm
startAtStepURL?
steps
title

## Properties

### __

__: any

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:41

### `Optional` action

action?: string

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:39

### `Optional` autoSave

autoSave?: boolean

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:44

### onDone

onDone: ((arg0) => any)

#### Type declaration

- - (arg0): any

  - #### Parameters

    - ##### arg0: any

    #### Returns any

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:38

### `Optional` previewURL

previewURL?: string

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:45

### run

run: ((body, req) => Promise<undefined | RunResult>)

#### Type declaration

- - (body, req): Promise<undefined | RunResult>

  - #### Parameters

    - ##### body: any

    - ##### req: any

    #### Returns Promise<undefined | RunResult>

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:47

### runStep

runStep: ((context, stepIx) => Promise<undefined | RunResult>)

#### Type declaration

- - (context, stepIx): Promise<undefined | RunResult>

  - #### Parameters

    - ##### context: any

    - ##### stepIx: number

    #### Returns Promise<undefined | RunResult>

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:49

### `Optional` saveURL

saveURL?: string

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:42

### singleStepForm

singleStepForm: ((body, req) => Promise<undefined | RunResult>)

#### Type declaration

- - (body, req): Promise<undefined | RunResult>

  - #### Parameters

    - ##### body: any

    - ##### req: any

    #### Returns Promise<undefined | RunResult>

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:48

### `Optional` startAtStepURL

startAtStepURL?: ((stepName) => string)

#### Type declaration

- - (stepName): string

  - #### Parameters

    - ##### stepName: string

    #### Returns string

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:43

### steps

steps: any[]

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:40

### title

title: ((step, stepIx) => string)

#### Type declaration

- - (step, stepIx): string

  - #### Parameters

    - ##### step: any

    - ##### stepIx: number

    #### Returns string

- Defined in saltcorn-types/model-abstracts/abstract_workflow.ts:50

Generated using TypeDoc